curl --request GET \
--url https://api.gcore.com/fastedge/v1/admin/apps/{app_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/admin/apps/{app_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/admin/apps/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_id": 123,
"name": "my-edge-app",
"url": "my-edge-app.fastedge.gcore.dev",
"binary": 12345,
"template": 123,
"template_name": "<string>",
"status": 1,
"plan_id": 123,
"plan": "<string>",
"env": {
"var1": "value1",
"var2": "value2"
},
"rsp_headers": {
"header1": "value1",
"header2": "value2"
},
"log": "kafka",
"debug_until": "2023-11-07T05:31:56Z",
"comment": "Production API gateway for customer portal",
"api_type": "<string>",
"networks": [
"<string>"
],
"secrets": {},
"stores": {}
}Get app details
Retrieve complete application configuration including client ownership information. Provides admin-level visibility into any application in the system.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
ID of the app
Response
Returns complete application configuration and metadata including client ID
Client ID
Unique application name (alphanumeric, hyphens allowed)
1 - 64^[a-z0-9][a-z0-9-]*[a-z0-9]$"my-edge-app"
Auto-generated URL where the application is accessible
"my-edge-app.fastedge.gcore.dev"
ID of the WebAssembly binary to deploy
x >= 112345
Template ID
Template name
Status code:
0 - draft (inactive)
1 - enabled
2 - disabled
5 - suspended
0 <= x <= 51
Plan ID
Plan name
Environment variables
Show child attributes
Show child attributes
{ "var1": "value1", "var2": "value2" }
Extra headers to add to the response
Show child attributes
Show child attributes
{ "header1": "value1", "header2": "value2" }
kafka, none When debugging finishes
Optional human-readable description of the application's purpose
1024"Production API gateway for customer portal"
Wasm API type
Networks
Application secrets
Show child attributes
Show child attributes
Application edge stores
Show child attributes
Show child attributes
Was this page helpful?